[Mongrel] Errors in this file (tcphack.rb)

hwang is lists at ruby-forum.com
Tue Feb 24 01:40:13 EST 2009


hi all,

i can not speak english well.

my os is ubuntu ,

unbuntu update was yesterday.

and then does not work.

this is mongrel error

/usr/local/lib/site_ruby/1.8/mongrel/tcphack.rb:12:in
`initialize_without_backlog': Address already in use - bind(2)
(Errno::EADDRINUSE)
        from /usr/local/lib/site_ruby/1.8/mongrel/tcphack.rb:12:in
`initialize'
        from /usr/local/lib/site_ruby/1.8/mongrel.rb:93:in `new'
        from /usr/local/lib/site_ruby/1.8/mongrel.rb:93:in `initialize'
        from /usr/local/lib/site_ruby/1.8/mongrel/configurator.rb:139:in
`new'
        from /usr/local/lib/site_ruby/1.8/mongrel/configurator.rb:139:in
`listener'
        from conf_mongrel.rb:609:in `cloaker_'
        from /usr/local/lib/site_ruby/1.8/mongrel/configurator.rb:50:in
`call'
        from /usr/local/lib/site_ruby/1.8/mongrel/configurator.rb:50:in
`initialize'
        from conf_mongrel.rb:608:in `new'
        from conf_mongrel.rb:608


caused by the os update is going on?

i don't understand this error

Please let me know

thank you for reading my article.
-- 
Posted via http://www.ruby-forum.com/.


More information about the Mongrel-users mailing list